import type { JSX } from "react";
/**
 * Generates add content buttons for a content object
 *
 * @returns The add content buttons.
 */
export declare function AddContentButtons(props: Readonly<{
    /** The node types to add. */
    nodeTypes?: string[];
    /**
     * The child name.
     *
     * @default *
     */
    childName?: string;
    /**
     * If true, the edit check will be performed.
     *
     * @default false
     */
    editCheck?: boolean;
}>): JSX.Element;
/**
 * Change nodeTypes="type1 type2 type3" to nodeTypes={["type1", "type2", "type3"]}
 *
 * @deprecated
 */
export declare function AddContentButtons(props: Readonly<{
    /**
     * Change nodeTypes="type1 type2 type3" to nodeTypes={["type1", "type2", "type3"]}
     *
     * @deprecated
     */
    nodeTypes?: string;
    /**
     * The child name.
     *
     * @default *
     */
    childName?: string;
    /**
     * If true, the edit check will be performed.
     *
     * @default false
     */
    editCheck?: boolean;
}>): JSX.Element;
