import type { JCRNodeWrapper } from "org.jahia.services.content";
/**
 * Returns an array of child nodes of a given node.
 *
 * @param node The node to get the child nodes from.
 * @param limit The maximum number of nodes to return (-1 to return all nodes, but be careful with
 *   this as it can be very slow and memory consuming, it's better to use a reasonable limit and use
 *   pagination if needed)
 * @param offset The offset to start from
 * @param filter A function to filter the nodes to be returned.
 * @returns An array of child nodes.
 */
export declare function getChildNodes(node: JCRNodeWrapper, limit?: number | undefined, offset?: number, filter?: ((node: JCRNodeWrapper) => boolean) | undefined): JCRNodeWrapper[];
